Bullet Collision Detection & Physics Library: WriteContactPointsLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WriteContactPointsLoop Struct Reference
Inheritance diagram for WriteContactPointsLoop:
[legend]
Collaboration diagram for WriteContactPointsLoop:
[legend]

## Public Member Functions
| WriteContactPointsLoop (btSequentialImpulseConstraintSolverMt *solver, const btContactSolverInfo &infoGlobal)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()
virtual void | forLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btContactSolverInfo * | m_infoGlobal

## Detailed Description

Definition at line 1477 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ WriteContactPointsLoop()

WriteContactPointsLoop::WriteContactPointsLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 1482 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void WriteContactPointsLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 1487 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_infoGlobal

const btContactSolverInfo* WriteContactPointsLoop::m_infoGlobal

Definition at line 1480 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* WriteContactPointsLoop::m_solver

Definition at line 1479 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp